Subject: IPR/Copyright

From: John C Klensin <[email-masked]>
Date: Tue, 24 Mar 2009 19:35:55 -0400

Hi.

I just attended the IPR ("Pre-5398 Problem") BOF and want to
share an impression and suggestion.

While one could debate details of text and procedures endlessly,
reopen old battles, etc.,  there is really only one issue at
this point, and that issue is whether the community wants to 

	* try to accelerate the transition toward 5378 by
	obligating authors to make a serious attempt to get
	signoff from previous contributors or
	
	* treat documents that contain pre-5398 material as
	provided for in the workaround, i.e., authors obtain all
	of the rights if they are willing to do that but
	otherwise just insert the workaround text and move on.

>From reading the correspondence on the list, I believe that the
community prefers the latter although the former has some strong
advocates.   I'd like to see if we can focus on those questions
to see if a conclusion can be reached about the principle before
more Internet-Drafts are written.

I note that, if the community's preference is really the second
choice, then we are finished.  The Trustees would presumably
follow the general rough consensus on this list, interpret the
existing workaround as permanent, and  we would all move on.

IMO, "finished" would be a big win -- no more I-Ds on the
subject, no need for a new or renewed WG, no more cycles of
people with better ways to spend their IETF time  going into
these efforts, etc.

Of course, YMMD.
     john

---

From: Scott Brim <[email-masked]>
Date: Tue, 24 Mar 2009 16:54:11 -0700

John, I believe you read the consensus right.  "authors obtain all of
the rights they are willing to".

Excerpts from John C Klensin on Tue, Mar 24, 2009 07:35:55PM -0400:
> _______________________________________________
> Ietf mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/ietf

---

From: SM <[email-masked]>
Date: Tue, 24 Mar 2009 17:12:10 -0700

>         otherwise just insert the workaround text and move on.

That would be the "minimum solution".   It does not require authors 
to act as lawyers, hire lawyers, or perform a risk assessment to 
figure out what they need to do.

>existing workaround as permanent, and  we would all move on.

There is no pressing copyright problem to solve as there is the 
existing workaround.  Unless there is a compelling reason for the 
first choice, I don't see a need to spend more time on this issue.

Regards,
-sm

---

From: "Andrew G. Malis" <[email-masked]>
Date: Tue, 24 Mar 2009 21:53:33 -0700

A bit agreement with John and Scott. Let's close this up and move on.

Cheers,
Andy

---

From: Ray Pelletier <[email-masked]>
Date: Wed, 25 Mar 2009 01:09:00 -0400

> A bit agreement with John and Scott. Let's close this up and move on.

I agree with the following additional mods to the Trust License Policy  
at http://trustee.ietf.org/docs/IETF-Trust-License-Policy.pdf

6. Text To Be Included in IETF Documents

c. Derivative Works and Publication Limitations
If an IETF Contribution contains pre-5378 Material as to which the  
IETF Trust has not been granted, or may not have been granted, the  
necessary permissions to allow modification of such pre-5378 Material  
outside the IETF Standards Process, then the notice in clause (iii) may
s/may/must
be included by the Contributor of such IETF Contribution to limit the  
right to make modifications to such pre-5378 Material outside the IETF  
Standards Process.

And let the Trust sort it out if and when a request is made and  
approved by the community for modification of a document by a 3rd  
party outside the standards process.

Further I would add a section to the TLP regarding the registration of  
5378 licenses online only of those licenses obtained by the Trust to  
approve the transfer of a document to a 3rd party.  We don't need to  
start an online registry of thousands of authors in the rare chance  
the Trust may need the license one day.

Ray
Trustee

---

From: Yaakov Stein <[email-masked]>
Date: Fri, 27 Mar 2009 06:31:38 +0300

> existing workaround as permanent, and  we would all move on.

Well, almost finished.

If a draft using the workaround becomes RFC and someone wants to
reuse material from it, the latter work becomes a "second derivative".
So we will need to use the workaround for some post-5398 RFCs as well.
In fact, a recursive algorithm is needed to determine whether or not
to use the pre-5398 language.

Y(J)S

---

From: John C Klensin <[email-masked]>
Date: Fri, 27 Mar 2009 09:24:57 -0400

--On Friday, March 27, 2009 06:31 +0300 Yaakov Stein
<[email-masked]> wrote:

>> I note that, if the community's preference is really the
>> second choice, then we are finished.  The Trustees would
>> presumably follow the general rough consensus on this list,
>> interpret the existing workaround as permanent, and  we would
>> all move on.
> 
> Well, almost finished.
> 
> If a draft using the workaround becomes RFC and someone wants
> to reuse material from it, the latter work becomes a "second
> derivative". So we will need to use the workaround for some
> post-5398 RFCs as well. In fact, a recursive algorithm is
> needed to determine whether or not to use the pre-5398
> language.

I don't understand why you think a document that is built on one
that uses pre-5398 text but was published, say, this year with
the disclaimer is different from one that uses pre-5398 text but
was published in the middle of last year.  

Whatever we do, there will be documents for a very long time
that have roots in pre-5378 materials.  Whether those roots are
significant depends, presumably, on how much text was carried
forward not on how many times it was carried forward, so I don't
see a "second derivative" issue that is any different from the
first one.

The only way that anyone has suggested (other than completely
different legal theories) that would significantly change that
situation involves taking a position that, if a document
contains old material and the author cannot or will not take
responsibility for identifying all prior Contributors and
rights-holders and obtain permission from them, the document
cannot be posted.  That is essentially the position 5378 takes.
I believe the community has concluded that would be fairly
destructive to getting anything done in the IETF, to the point
that almost all discussions since November have been about how
hard to push authors to try to explicitly obtain rights from
prior Contributors.  

However, as soon as  one accepts any exceptions at all to permit
publishing documents containing Contributions for which rights
cannot be obtained, we need to accept that there will be new
documents published with whatever disclaimer or exception text
is used for a _very_ long time.

That is not an ideal situation, but it appears to me to be a
straight tradeoff between giving priority to the standards
process and giving priority to a completely clean IPR/copyright
arrangement that is really important only in a small number of
cases.  

The first choice seems more appropriate to me... and it leaves
us without the need for more IPR process, documents, WGs, etc.

    john

---

From: Yaakov Stein <[email-masked]>
Date: Fri, 27 Mar 2009 19:15:08 +0300

> was published in the middle of last year.  

I don't think there is a difference.
I was only warning that people shouldn't think that this is going 
to go away any time soon. I am sure that when people build on 
some recent RFC they will be thinking that it is all covered,
but if that RFC built on a yet older one, the problem remains.

> see a "second derivative" issue that is any different from the

Over time the original work becomes diluted (in quantity and quality), 
and eventually effectively disappears.
There is a lot of case law regarding this issue,
and it all hinges on transformativeness.
The more new material there is, and the more the original material is reinterpreted, 
the more likely it is that the use of the original material
will be considered fair use.

One rather recent case is Sheldon Abend Revocable Trust vs. Spielberg,
where it was claimed that Spielberg's movie Disturbia borrowed
from Hitchcock's "Rear Window" which was based on a short story by Woolrich
the copyrights for which are owned by the trust.
Hitchcock did obtain a license, but Spielberg didn't.

Y(J)S

---

From: "Spencer Dawkins" <[email-masked]>
Date: Fri, 27 Mar 2009 09:54:16 -0500

> us without the need for more IPR process, documents, WGs, etc.

... and any choice that has these characteristics is a Good Thing (tm)...

Thanks,

Spencer